Subject: Re: [TLS] sending error alerts: MUST? SHOULD? MAY?

From: Eric Rescorla <[email-masked]>
Date: Fri, 09 Feb 2007 14:33:42 -0800

Nelson B Bolyard <[email-masked]> wrote:
> Last August, I wrote to this list about the lack of "MUST" in the RFCs and
> drafts concerning the use of error and warning alerts.  That message is
> quoted below.  I only got one reply, from Peter Gutmann.
> 
> I really want to see this situation get fixed in TLS 1.2.  What can I do
> to make that happen?  Do I need to submit a draft with the suggested changes?
> Erik, if I send you a set of suggested changes as edits to the current 1.2
> draft, will you incorporate them?

My concern, as I think I mentioned to you privately, is that we not
mandate behaviors that potentially leak security relevant information.
We've had one such situation before with CBC padding. Ultimately,
we really need a review of the security implications of every kind
of error, but not having that I'm reluctant to require behaviors
that haven't been vetted.

The bottom line, then, is that I'd prefer not to change this language
without explicit security analysis for each change.

-Ekr

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls